[Yum] distroverpkg problem

David Relson relson at osagesoftware.com
Thu Dec 18 14:24:06 UTC 2003


On Thu, 18 Dec 2003 09:17:10 -0500
seth vidal <skvidal at phy.duke.edu> wrote:

> On Thu, 2003-12-18 at 09:17, David Relson wrote:
> > With yum-2.0.4 running on my Mandrake 9.2 system, in /etc/yum.conf I
> > have:
> > 
> >   distroverpkg=mandrake-release
> > 
> > /etc/mandrake-release is:
> > 
> >     Mandrake Linux release 9.2 (FiveStar) for i586
> > 
> > When I run "yum list base", it has 9.2 for $releasever (correct) and
> > i386 for $basearch (incorrect).  As a guess, it's a parsing problem,
> > but I don't really know.  Is this my error or yours?
> 
> no it's not. i386 is the basearch from i586 - meaning ix86 systems:
> 
> if you want the  arch of your system then use $arch.
> -sv

Ah.  You got me with the fine print :-)

So, for Mandrake yum.conf needs to use $arch -- the usc.edu repository
uses i586 in the path.




More information about the Yum mailing list